Data & IP
Copy Page
Anzenna Public API
How To Use the Anzenna Public API
AI Governance
Query all Shadow AI instances
POST
Get a Shadow AI instance by id
GET
Query all AI interactions
POST
Get an AI interaction by id
GET
List MCP servers
POST
Get an MCP server
GET
Query MCP server installations
POST
Investigation
Query all investigations
Get an investigation by id
Start an investigation
Dismiss an investigation
Get detection investigation prompts
Get global investigation prompts
Get user investigation prompts
Query all risk registers
Query all risk register catalog entries
Identity
List accounts
Get an account by id
List login events
Get a login event by ID
Query all mfa statuses
Get an MFA status by id
Query all OAuth applications
Get an OAuth application by id
Query all OAuth application instances
Query all password reuse instances
Advanced
Execute an advanced query
List security events
Query raw events
Receive a webhook event
Detection
Query all allowlists
Create a new allowlist
Delete an allowlist
Update an allowlist
Get an anomaly by ID
Get key finding detections
Get detection details
List users associated with a given detection
Execute a remediation
Browser
Query all browser applications
Get a browser application by id
List browser application instances
List browser history entries
Query all remote machines
Get a remote machine by id
Query all web host resources
Get a web host resource by id
Data & IP
Query database exfiltration events
POST
List file delete events
POST
List file movement activities
POST
Get file movement activity by id
GET
List files used with data exfiltration.
POST
Get a specific data exfiltration file
GET
List git events
POST
Get a specific git event by id
GET
List git repositories
POST
Get a specific git repository
GET
List file sharing instances
POST
Query database share grants
POST
Query database share user additions
POST
List documents
POST
Get document by id
GET
List DLP policies
POST
Get a DLP policy by id
GET
List DLP policy detectors
POST
Query all DLP alerts
POST
Get a DLP alert by id
GET
Delete a DLP policy
DELETE
Update a DLP policy
PUT
Create a DLP policy
POST
Device
List devices
Get a device
List device applications
Get a device application
Query device application instances.
List device infections
Get a device infection
List device policies
Get a device policy
List USB device connection events
Get a USB connection event
List IDE applications
Get an IDE application
Query IDE application instances.
Email
Query all outbound email events
Get an outbound email event by id
Query all phishing interactions
Company
List groups
Query all people
Get departure analysis for a person
Get a person by id
Add a category to multiple people
Remove a category from multiple people
Get company risk trends
Get number of high risk organizations
SaaS
Query all Shadow IT instances
Outreach
List training campaigns
Create a training campaign
API Key
Get API key information
Data & IP
Copy Page
Delete a DLP policy
DELETE
/dlp-policies/{id}
Try it
Run in Apidog
Run in Apidog
Delete a DLP policy by id. Deleting a policy that does not exist succeeds.
Request
Authorization
Path Params
Generate Code
Responses
🟢
200
OK
application/json
Policy deleted
Body
application/json
Generate Code
ðŸŸ
400
Bad Request
ðŸŸ
401
Unauthorized
ðŸŸ
403
Forbidden
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'/dlp-policies/'
Response
Response Example
{
}
Modified atÂ
2026-11-02 15:06:45
Previous
Get a DLP alert by id
Next
Update a DLP policy